
#CC=icc
#CFLAGS=-c -Wall  -I/usr/local/include  -xHost -O2 -fp-model source

CC=gcc
CFLAGS=-c -Wall  -I/usr/local/include -march=native


LDFLAGS=-L/usr/local/lib 
LIBS=-lgsl -lgslcblas -lm -lquadmath
OLIB=../libbox.a


SOURCES=box.c\
box_1_m123_1_q.c  box_1_m132_1_q.c  box_1_m213_1_q.c  box_1_m231_1_q.c  box_1_m312_1_q.c  box_1_m321_1_q.c  box_2_m123_1_q.c  box_2_m132_1_q.c  box_2_m213_1_q.c  box_2_m231_1_q.c  box_2_m312_1_q.c  box_2_m321_1_q.c\
box_1_m123_2_q.c  box_1_m132_2_q.c  box_1_m213_2_q.c  box_1_m231_2_q.c  box_1_m312_2_q.c  box_1_m321_2_q.c  box_2_m123_2_q.c  box_2_m132_2_q.c  box_2_m213_2_q.c  box_2_m231_2_q.c  box_2_m312_2_q.c  box_2_m321_2_q.c\
box_1_m123_3_q.c  box_1_m132_3_q.c  box_1_m213_3_q.c  box_1_m231_3_q.c  box_1_m312_3_q.c  box_1_m321_3_q.c  box_2_m123_3_q.c  box_2_m132_3_q.c  box_2_m213_3_q.c  box_2_m231_3_q.c  box_2_m312_3_q.c  box_2_m321_3_q.c\
box_1_m123_4_q.c  box_1_m132_4_q.c  box_1_m213_4_q.c  box_1_m231_4_q.c  box_1_m312_4_q.c  box_1_m321_4_q.c  box_2_m123_4_q.c  box_2_m132_4_q.c  box_2_m213_4_q.c  box_2_m231_4_q.c  box_2_m312_4_q.c  box_2_m321_4_q.c\
box_1_m123_5_q.c  box_1_m132_5_q.c  box_1_m213_5_q.c  box_1_m231_5_q.c  box_1_m312_5_q.c  box_1_m321_5_q.c  box_2_m123_5_q.c  box_2_m132_5_q.c  box_2_m213_5_q.c  box_2_m231_5_q.c  box_2_m312_5_q.c  box_2_m321_5_q.c\
box_1_m123_6_q.c  box_1_m132_6_q.c  box_1_m213_6_q.c  box_1_m231_6_q.c  box_1_m312_6_q.c  box_1_m321_6_q.c  box_2_m123_6_q.c  box_2_m132_6_q.c  box_2_m213_6_q.c  box_2_m231_6_q.c  box_2_m312_6_q.c  box_2_m321_6_q.c\






OBJECTS=$(SOURCES:.c=.o)




all: $(SOURCES) $(OLIB)


.c.o:
	$(CC) $(CFLAGS) $< -o $@

	
$(OLIB): $(OBJECTS)
	ar crs $(OLIB) $(OBJECTS)

